Download it now!
Bug 64205 - WIKI-help: Double single quotes not escaped.
Summary: WIKI-help: Double single quotes not escaped.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: WWW (show other bugs)
Version:
(earliest affected)
4.0.2.2 release
Hardware: Other Windows (All)
: medium normal
Assignee: Jan Holesovsky
URL: https://help.libreoffice.org/Calc/Ren...
Whiteboard: BSA target:4.1.0 target:4.0.4
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-04 05:08 UTC by Yang Lifu
Modified: 2013-05-13 10:35 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yang Lifu 2013-05-04 05:08:18 UTC
https://help.libreoffice.org/Calc/Renaming_Sheets
The reference must be enclosed in single quotes, and the one single quote inside the name must be doubled:

'This years sheet'.A1
Operating System: Windows 8
Version: 4.0.2.2 release
Comment 1 Christian Lohmaier 2013-05-04 07:49:00 UTC
confirmed. Wikihelp doesn't properly quote the example at the bottom of the page in <url>

This year's sheet

quoted as a cell-reference becomes

'This year<italics>s sheet</italics>'

instead of

'This year''s sheet'

(it puts it like that into the source, but it it is interpreted by mediawiki)
Comment 2 Florian Effenberger 2013-05-04 10:29:11 UTC
Adding Kendy and Andras, who maintain the wikihelp
Comment 3 Commit Notification 2013-05-10 13:18:46 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=9c6ee8419cc4e7ff0d5b3cfbd9fc0e538e78f8ab

fdo#64205 escape '' in help text with <nowiki> tag



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Andras Timar 2013-05-10 13:23:35 UTC
I fixed https://help.libreoffice.org/Calc/Renaming_Sheets manually, and I fixed the generator script. Localizations will be fixed by the next wikihelp update (within a month).
Comment 5 Commit Notification 2013-05-13 10:35:16 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=d8f46055f562917e857c4395601138f0515e71d0&h=libreoffice-4-0

fdo#64205 escape '' in help text with <nowiki> tag


It will be available in LibreOffice 4.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.